Post Transcript
curl --request GET \
--url https://api.sociavault.com/v1/scrape/linkedin/post/transcript \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/linkedin/post/transcript"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/linkedin/post/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"credits_charged": 1,
"url": "https://www.linkedin.com/posts/artificial-analysis_gemini-35-flash-is-a-step-forward-for-google-activity-7465082408409870337-4Pm-",
"transcript": "Hey, my name is Declan Jackson. I am a member of technical staff here at Artificial Analysis and I'm going to do a quick chat through the recent release of Gemini 3.5 Flash. This release is really interesting because Google have really prioritized 2 things with this release, but it has come at a bit of a cost. So with this release of Gemini 3.5 Flash, Google have focused on speed and they're focused on agent capabilities. So in terms of speed, Gemini 3.5 Flash we measured in our pre release testing at about 280. Output tokens per second, which is pretty impressive for a model of that level of intelligence. So this really puts it on the Predo frontier of speed and intelligence. Now this also is a massive jump from Gemini 3 flash speeds and also puts it ahead of a model like GPT 5.4 mini. Now on agenti capabilities, it has a massive uplift from Gemini 3 flash and even more so than Gemini 3.1 pro and agender capabilities has been a bit of a weakness for Google in the past. So it's really good to see that they've uplifted that, especially we've seen in our real world task agentic eval GDP Val, a Gemini 3.5 flash records an ELO of around 1650. So this is a head of Gemini 3.1 Pro and other models like Kimmy K 2.6, GLM 5.1. But as I mentioned this does come with a bit of a trade off. The model costs around 5X the cost to run compared to Gemini 3 flush. This is made-up of two factors #1 the actual token price is a lot higher. So the token price is 3X that of Gemini 3 Flash at 1.5 per million input and $9 per million output. We also find that it is using. Tokens on these evaluations. So it's reasoning more and it's also using more turns on our genetic evaluations, which is going to mean that it's going to cost more to run. So it's a really interesting tradeoff here. Speed and intelligence is really improved, but cost is also really increased.",
"transcriptNotAvailable": false
},
"credits_used": 1
}{
"error": "URL parameter is required"
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 123,
"available": 123
}LinkedIn
Post Transcript
Get the transcript from a LinkedIn post video, when LinkedIn exposes one. Returns the transcript text for the video attached to the given post.
GET
/
v1
/
scrape
/
linkedin
/
post
/
transcript
Post Transcript
💳 1 credit per request
url and, if a transcript is available, it’s returned in the response.Authorizations
Query Parameters
The URL of the LinkedIn post to get the transcript from
Example:
"https://www.linkedin.com/posts/gemini-35-flash-is-a-step-forward-for-google-ugcPost-7465082215316525056-MHBd/"
Response
Successful response
Key Response Fields:
data.transcript: The transcript text extracted from the post's videodata.transcriptNotAvailable: Whether a transcript was unavailable (false when a transcript is returned)data.url: The LinkedIn post URL the transcript was extracted from
⌘I